Subject: bug#38500: closed (Re: bug#38500: Ruby is built against libruby-static.a)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 13 Dec 2019 03:52:02 +0000

Your bug report

#38500: Ruby is built against libruby-static.a

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38500: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38500
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#38500: Ruby is built against libruby-static.a
From: Brett Gilio <[email-masked]>
To: Tobias Geerinckx-Rice <[email-masked]>
Cc: [email-masked], Vicente Eduardo <[email-masked]>
Date: Thu, 12 Dec 2019 21:51:12 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Pushed to core-updates with fd248cb815d571043c3a0c52a01c9b3e368a069e.

Closing

-- 
Brett M. Gilio
Homepage -- https://scm.pw/
GNU Guix -- https://guix.gnu.org/

Subject: Ruby is built against libruby-static.a
From: Vicente Eduardo <[email-masked]>
To: [email-masked]
Date: Thu, 5 Dec 2019 14:25:51 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm trying to use Ruby interpeter as a library to link it against my
project (metacall:
https://github.com/metacall/distributable/blob/65493b393388f5d66d9b466e5d49f9128fee27ea/source/metacall.scm#L117
). So I tried to download the Ruby package and libruby.so seems not to be
present.

Running ldd against ruby executable shows that it is linked with
libruby-static.a. When I do ldd against Ruby on my Debian system, it is
linked dynamically to libruby.so.

I would like to have two versions, or at least the dynamic one, that's the
common way Ruby should be built, and also the Guixy style.

If this isn't handled, I will have to inherit the package and modify the
compilation flags in order to compile Ruby with the dynamic library version.

Thanks.